Get a call by ID
curl --request GET \
--url https://dev-public-api.openphone.dev/calls/{callId} \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"id": "AC123abc",
"phoneNumberId": "PN123abc",
"userId": "US123abc",
"direction": "incoming",
"status": "completed",
"participants": [
{
"phoneNumber": "+15555555555",
"userId": "US123abc"
},
{
"phoneNumber": "+15555555555",
"userId": "US456def"
},
{
"phoneNumber": "+15555555556",
"userId": null
}
],
"answeredAt": "2022-01-01T00:00:00Z",
"answeredBy": "USlHhXmRMz",
"initiatedBy": "USlHhXmRMz",
"completedAt": "2022-01-01T00:00:00Z",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"callRoute": "phone-number",
"duration": 60,
"forwardedFrom": "US123abc",
"forwardedTo": "US123abc",
"aiHandled": "ai-agent"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/callId",
"message": "Expected string to match '^AC(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^AC(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Call not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Calls
Get a call by ID
Get a call by its unique identifier.
GET
/
calls
/
{callId}
Get a call by ID
curl --request GET \
--url https://dev-public-api.openphone.dev/calls/{callId} \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"id": "AC123abc",
"phoneNumberId": "PN123abc",
"userId": "US123abc",
"direction": "incoming",
"status": "completed",
"participants": [
{
"phoneNumber": "+15555555555",
"userId": "US123abc"
},
{
"phoneNumber": "+15555555555",
"userId": "US456def"
},
{
"phoneNumber": "+15555555556",
"userId": null
}
],
"answeredAt": "2022-01-01T00:00:00Z",
"answeredBy": "USlHhXmRMz",
"initiatedBy": "USlHhXmRMz",
"completedAt": "2022-01-01T00:00:00Z",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"callRoute": "phone-number",
"duration": 60,
"forwardedFrom": "US123abc",
"forwardedTo": "US123abc",
"aiHandled": "ai-agent"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/callId",
"message": "Expected string to match '^AC(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^AC(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Call not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
Unique identifier of the call.
Pattern:
^AC(.*)$Example:
"AC3700e624eca547eb9f749a06f2eb1"
Response
OK
Show child attributes
Show child attributes
Was this page helpful?